Subject: Re: linux-next: build failure after merge of the staging tree

From: Eli Billauer <[email-masked]>
Date: Sat, 27 Jul 2013 01:54:44 +0300

On 27/07/13 00:56, Greg KH wrote:
> No, I need you to do that.  Can you do a kernel build with:
> 	make M=drivers/staging/xillybus C=1
> and fix up the errors that sparse reports and send a patch for that?
>
>    
I'm not sure it's related to me. I get the same errors whether I compile 
my own modules or something in e.g. drivers/tty/ . This is what I get 
after make allmodconfig on the current staging git repo:

$ make M=drivers/staging/xillybus C=1
/home/eli/xillybus/submission/staging/arch/x86/Makefile:107: 
CONFIG_X86_X32 enabled but no binutils support
   CHECK   drivers/staging/xillybus/xillybus_core.c
/home/eli/xillybus/submission/staging/arch/x86/include/asm/jump_label.h:16:13: 
error: Expected ( after asm
/home/eli/xillybus/submission/staging/arch/x86/include/asm/jump_label.h:16:13: 
error: got goto
   CC [M]  drivers/staging/xillybus/xillybus_core.o
   CHECK   drivers/staging/xillybus/xillybus_pcie.c
/home/eli/xillybus/submission/staging/arch/x86/include/asm/jump_label.h:16:13: 
error: Expected ( after asm
/home/eli/xillybus/submission/staging/arch/x86/include/asm/jump_label.h:16:13: 
error: got goto
   CC [M]  drivers/staging/xillybus/xillybus_pcie.o

I'll spare you the output from modules in drivers/tty. But it's exactly 
the same messages on each of these modules.

Am I doing something wrong?

Regards,
    Eli

P.S. Regarding the missing Reported-By header, I learned something new 
today. Thanks. :)